Page MenuHomePhabricator

[DAGCombiner][NFC] Merge two if statement into one
ClosedPublic

Authored by Jimerlife on Aug 15 2022, 11:34 PM.

Details

Summary

There no other code between two if, so I think could merge those two if statements. That make more sense.

Diff Detail

Event Timeline

Jimerlife created this revision.Aug 15 2022, 11:34 PM
Herald added a project: Restricted Project. · View Herald TranscriptAug 15 2022, 11:34 PM
Jimerlife requested review of this revision.Aug 15 2022, 11:34 PM
Jimerlife edited the summary of this revision. (Show Details)Aug 15 2022, 11:34 PM
RKSimon retitled this revision from [DAGCombiner][NFC] Megre two if statement into one to [DAGCombiner][NFC] Merge two if statement into one.Aug 16 2022, 9:29 AM
RKSimon added inline comments.
llvm/lib/CodeGen/SelectionDAG/DAGCombiner.cpp
4127

NewStep isn't a reference - its a new result.

9194

NewStep isn't a reference - its a new result.

Jimerlife updated this revision to Diff 453182.Aug 16 2022, 6:52 PM

address comment

Jimerlife marked 2 inline comments as done.Aug 16 2022, 6:55 PM
Jimerlife added inline comments.
llvm/lib/CodeGen/SelectionDAG/DAGCombiner.cpp
4127

Thank you. It's a mistake.

RKSimon accepted this revision.Aug 17 2022, 3:31 AM

LGTM

This revision is now accepted and ready to land.Aug 17 2022, 3:31 AM
This revision was landed with ongoing or failed builds.Aug 17 2022, 7:13 PM
This revision was automatically updated to reflect the committed changes.
Jimerlife marked an inline comment as done.